#
# spec file for package python-django-debug-toolbar
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-django-debug-toolbar
Version:        1.6
Release:        1.6
Url:            https://github.com/django-debug-toolbar/django-debug-toolbar
Summary:        A configurable set of panels that display various debug information
License:        BSD-3-Clause
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/d/django-debug-toolbar/django-debug-toolbar-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
# Test requirements:
BuildRequires:  python3-Django >= 1.4.2
BuildRequires:  python3-sqlparse
Requires:       python3-Django >= 1.4.2
Requires:       python3-sqlparse
BuildArch:      noarch

%description
The Django Debug Toolbar is a configurable set of panels that display various
debug information about the current request/response and when clicked, display
more details about the panel's content.

Currently, the following panels have been written and are working:
 - Django version
 - Request timer
 - A list of settings in settings.py
 - Common HTTP headers
 - GET/POST/cookie/session variable display
 - Templates and context used, and their template paths
 - SQL queries including time to execute and links to EXPLAIN each query
 - List of signals, their args and receivers
 - Logging output via Python's built-in logging, or via the logbook module

There is also one Django management command currently:
 - debugsqlshell: Outputs the SQL that gets executed as you work in the Python
   interactive shell.

%prep
%setup -q -n django-debug-toolbar-%{version}
sed -i "s/\(django>=1.4.2\),<1.6/\1/" setup.py django_debug_toolbar.egg-info/requires.txt
rm debug_toolbar/static/debug_toolbar/.DS_Store

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE README.rst
%{python3_sitelib}/*

%changelog
* Mon Dec 12 2016 arun@gmx.de
- update to version 1.6:
  * Removed features
    + Support for automatic setup has been removed as it was
    frequently problematic. Installation now requires explicit
    setup. The DEBUG_TOOLBAR_PATCH_SETTINGS setting has also been
    removed as it is now unused. See the :doc:`installation
    documentation <installation>` for details.
  * Bugfixes
    + The DebugToolbarMiddleware now also supports Django 1.10's
    MIDDLEWARE setting.
* Sat Jul 23 2016 arun@gmx.de
- specfile:
  * update copyright year
  * update url
- update to version 1.5:
  * This version is compatible with Django 1.10 and requires Django
    1.8 or later.
  * Support for Python 3.2 is dropped.
  * Bugfixes
    + Restore compatibility with sqlparse ≥ 0.2.0.
    + Add compatibility with Bootstrap 4, Pure CSS, MDL, etc.
    + Improve compatibility with RequireJS / AMD.
    + Improve the UI slightly.
    + Fix invalid (X)HTML.
* Sun May  8 2016 arun@gmx.de
- specfile:
  * changed to https for source url
  * updated source url to files.pythonhosted.org
  * remove if case for suse version <= 1110
* Thu Jan 14 2016 jgleissner@suse.com
- update to version 1.4:
  * This version is compatible with the upcoming Django 1.9 release.
    It requires Django 1.7 or later.
  * New panel method debug_toolbar.panels.Panel.generate_stats()
    allows panels to only record stats when the toolbar is going to
    be inserted into the response.
  * Response time for requests of projects with numerous media files
    has been improved.
* Wed Jan 13 2016 jgleissner@suse.com
- initial package
